Skip to main content
GET
/
api
/
reports
/
email
/
overall
Get overall email reports
curl --request GET \
  --url https://api-{region}-{cluster}.benchmarkemail.com/api/reports/email/overall \
  --header 'X-API-Key: <api-key>'
{
  "campaignComparison": [
    {
      "_id": "<string>",
      "name": "<string>",
      "rates": {
        "clicks": 123,
        "opens": 123
      },
      "scheduledAt": "2023-11-07T05:31:56Z"
    }
  ],
  "deliveryTimeStats": {
    "afternoon": 39.18,
    "evening": 0,
    "morning": 34.28,
    "night": 0
  },
  "stats": {
    "complaints": {
      "count": {
        "diff": 100,
        "prev": 5,
        "value": 10
      }
    },
    "delivered": {
      "count": {
        "diff": -42.95,
        "prev": 3722,
        "value": 2611
      }
    },
    "hardBounces": {
      "count": {
        "diff": -25.64,
        "prev": 152,
        "value": 116
      },
      "rate": {
        "diff": 30.21,
        "prev": 22.32,
        "value": 28.53
      }
    },
    "sent": {
      "count": {
        "diff": -42.28,
        "prev": 3942,
        "value": 2822
      }
    },
    "softBounces": {
      "count": {
        "diff": -39.1,
        "prev": 125,
        "value": 95
      },
      "rate": {
        "diff": 30.21,
        "prev": 22.32,
        "value": 28.53
      }
    },
    "totalBounces": {
      "count": {
        "diff": -25.64,
        "prev": 152,
        "value": 116
      },
      "rate": {
        "diff": 30.21,
        "prev": 22.32,
        "value": 28.53
      }
    },
    "uniqueClicks": {
      "count": {
        "diff": -25.72,
        "prev": 1283,
        "value": 745
      },
      "rate": {
        "diff": 30.21,
        "prev": 22.32,
        "value": 28.53
      }
    },
    "uniqueOpens": {
      "count": {
        "diff": -28.34,
        "prev": 1283,
        "value": 971
      },
      "rate": {
        "diff": 25.64,
        "prev": 27.32,
        "value": 37.19
      }
    },
    "unsubscribes": {
      "count": {
        "diff": -25,
        "prev": 125,
        "value": 100
      }
    }
  }
}

Authorizations

X-API-Key
string
header
required

API key authentication

Query Parameters

pastDays
integer
required

The number of past days (between 1 and 90) to retrieve report stats and precedent stats.

Required range: 1 <= x <= 90
timezone
string
default:UTC

The user timezone (IANA) code.

Example:

"America/La_Paz"

Response

200 - application/json

Successfully report retrieved

campaignComparison
object[]
deliveryTimeStats
object

Email delivery open rates by day time distribution statistics.

stats
object